<script lang="ts">
  import { getDiceIcon } from '../helpers/dice'
  import type { DiceT } from '../types'

  export let dice: DiceT | null
  export let isDuplicated = false

  $: Icon = getDiceIcon(dice)
</script>

<div class="text-white" class:text-violet-400={isDuplicated}>
  <svelte:component this={Icon} />
</div>
